@import "pref";

.dwfe-action-close {

}

.dwfe-action-close__btn.mat-mini-fab,
.dwfe-action-close__btn.mat-mini-fab:not([class*=mat-elevation-z]) {
  font-size: 0;
  color: #fff;

  box-shadow: 0 2px 0.5px -2px rgba(0, 0, 0, .2),
  0 1px 1px 0 rgba(0, 0, 0, .14),
  0 0.5px 2.5px 0 rgba(0, 0, 0, .12);

  background-color: #fff;

  position: relative;

  &::before,
  &::after {
    content: "";
    position: absolute;
    top: 20px;
    left: 10px;
    display: block;
    width: 20px;
    height: 1px;
    background-color: $color-gray;
  }

  &::before {
    transform: rotate(45deg);
  }

  &::after {
    transform: rotate(-45deg);
  }

  &:hover,
  &:focus {
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, .2),
    0 2px 2px 0 rgba(0, 0, 0, .14),
    0 1px 5px 0 rgba(0, 0, 0, .12);
  }

  &:hover::before,
  &:hover::after {
    background-color: $color-mine-shaft;
  }
}
